Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235388 - CVE-2007-1841 ipsec-tools racoon DoS
Summary: CVE-2007-1841 ipsec-tools racoon DoS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ipsec-tools
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: James Antill
QA Contact:
URL:
Whiteboard: source=vendorsec,reported=20070331,pu...
Depends On:
Blocks: RHEL5LSPPCertTracker
TreeView+ depends on / blocked
 
Reported: 2007-04-05 15:08 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0342
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-17 14:17:20 UTC


Attachments (Terms of Use)
Proposed upstream patch (deleted)
2007-04-05 15:11 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0342 normal SHIPPED_LIVE Moderate: ipsec-tools security update 2007-05-17 14:17:17 UTC

Description Josh Bressers 2007-04-05 15:08:10 UTC
Apple reported a denial of service flaw in the ipsec-tools racoon.  It is
possible for a remote attacker to invalidate an ipsec tunnel between two
machines.  According to upstream:

Anybody who can:

- guess that A and B have established an IPSec tunnel
- guess some basic informations about phase1 (or who is ready to do
  some quick bruteforce....) 
- send packed to A which appears to come from B

Can invalidate that tunnel at any time.

Comment 1 Josh Bressers 2007-04-05 15:11:56 UTC
Created attachment 151768 [details]
Proposed upstream patch

Comment 3 Mark J. Cox 2007-04-21 10:22:58 UTC
This issue is now public, removing embargo

http://ipsec-tools.sourceforge.net/

2007-04-06
    IPsec-tools 0.6.7 released, and fixes a DoS in informationnal messages
    handling (CVE-2007-1841). Download here


Comment 7 James Antill 2007-05-01 14:44:35 UTC
n-v-r is ipsec-tools-0.6.5-8.el5

http://brewweb.devel.redhat.com/brew/buildinfo?buildID=60393


Comment 16 Red Hat Bugzilla 2007-05-17 14:17:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0342.html



Note You need to log in before you can comment on or make changes to this bug.